## kde-nomodeset 0.1+p24.04+vrelease+git20251020.0030

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vrelease+git20251020.0030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:30:59 +0000

kde-nomodeset (0.1-0) noble; urgency=medium

  * Initial release.

 -- Harald Sitter <sitter@kde.org>  Wed, 13 Jan 2021 16:07:17 +0100

## kde-nomodeset 0.1+p24.04+vrelease+git20251112.0156

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vrelease+git20251112.0156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 12 Nov 2025 01:56:17 +0000

## kde-nomodeset 0.1+p24.04+vrelease+git20251123.0941

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vrelease+git20251123.0941-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:41:32 +0000

## kde-nomodeset 0.1+p24.04+vrelease+git20251220.0041

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vrelease+git20251220.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 00:41:52 +0000

## kde-nomodeset 0.1+p24.04+vrelease+git20260103.0040

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vrelease+git20260103.0040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:40:33 +0000

## kde-nomodeset 0.1+p24.04+vrelease+git20260113.0022

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vrelease+git20260113.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 00:22:41 +0000

## kde-nomodeset 0.1+p24.04+vstable+git20250908.0824

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vstable+git20250908.0824-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 08:24:09 +0000

## kde-nomodeset 0.1+p24.04+vstable+git20251015.1211

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"kde-nomodeset\")

add_executable(kde-nomodeset main.cpp qml/qml.qrc)
target_link_libraries(kde-nomodeset
    KF5::Notifications
    KF5::I18n
    KF5::Declarative
    KF5::AuthCore
)

install(TARGETS kde-nomodeset ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.nomodeset.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

add_subdirectory(polkit)

=== systemd/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

install(FILES kde-nomodeset.service DESTINATION ${SYSTEMD_USER_UNIT_INSTALL_DIR})

=== src/polkit/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

kauth_install_actions(org.kde.nomodeset org.kde.nomodeset.actions)
add_executable(kde-nomodeset-helper helper.cpp)
target_link_libraries(kde-nomodeset-helper
    KF5::AuthCore
    KF5::I18n)

kauth_install_helper_files(kde-nomodeset-helper org.kde.nomodeset root)
install(TARGETS kde-nomodeset-helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vstable+git20251015.1211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:11:14 +0000

=== debian/control ===
Source: kde-nomodeset
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper,
               debhelper-compat (= 12),
               extra-cmake-modules,
               libkf5auth-dev,
               libkf5coreaddons-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5notifications-dev,
               pkg-kde-tools (>= 0.15.3ubuntu7)
Standards-Version: 3.9.3
Homepage: https://www.kde.org
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kde-nomodeset.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kde-nomodeset
Maintainer: Neon CI <neon@kde.org>

Package: kde-nomodeset
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tray icon informing the user about nomodeset being activated
 tray icon informing the user about nomodeset being activated

## kde-nomodeset 0.1+p24.04+vstable+git20251020.0330

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

cmake_minimum_required(VERSION 3.16)

project(kde-nomodeset)
set(PROJECT_VERSION "5.20.80")

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.74")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Core)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Notifications
    I18n
    Auth
    Declarative
)
add_subdirectory(systemd)
add_subdirectory(src)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vstable+git20251020.0330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:30:11 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -- \
		-DKDE_L10N_SYNC_TRANSLATIONS=true

## kde-nomodeset 0.1+p24.04+vstable+git20251224.0014

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vstable+git20251224.0014-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 00:14:33 +0000

## kde-nomodeset 0.1+p24.04+vstable+git20251231.0517

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vstable+git20251231.0517-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:17:19 +0000

## kde-nomodeset 0.1+p24.04+vstable+git20260113.0332

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vstable+git20260113.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 03:32:54 +0000

## kde-nomodeset 0.1+p24.04+vunstable+git20250914.1346

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vunstable+git20250914.1346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 13:46:18 +0000

## kde-nomodeset 0.1+p24.04+vunstable+git20251015.1655

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vunstable+git20251015.1655-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:55:36 +0000

## kde-nomodeset 0.1+p24.04+vunstable+git20251020.1304

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vunstable+git20251020.1304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:04:58 +0000

## kde-nomodeset 0.1+p24.04+vunstable+git20251113.0331

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vunstable+git20251113.0331-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 03:31:39 +0000

## kde-nomodeset 0.1+p24.04+vunstable+git20251124.1010

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vunstable+git20251124.1010-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 10:10:37 +0000

## kde-nomodeset 0.1+p24.04+vunstable+git20260105.1304

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vunstable+git20260105.1304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:04:46 +0000

## kde-nomodeset 0.1+p24.04+vunstable+git20260113.0149

=== debian/changelog ===
kde-nomodeset (0.1+p24.04+vunstable+git20260113.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 01:49:03 +0000
